#ifndef SLIDER_ULONGLONG_H
#define SLIDER_ULONGLONG_H

#include <QtGui>
#include <climits>
#include <cassert>
#include <cmath>

class SliderULongLong : public QSlider {
Q_OBJECT
private:
	unsigned long long min_;
	unsigned long long max_;
	unsigned long long current_;
	bool isAdjusted_;
	bool isProgrammaticInput_;
signals:
	void valueChangedSignal(unsigned long long value);
protected:
	virtual void valueChangedEvent();
private slots:
	void valueChangedSlot(int value);
public:
	void setValue(unsigned long long value);

	SliderULongLong(QWidget * parent);
public:
	void setMinimum(unsigned long long min);
	void setMaximum(unsigned long long max);

	unsigned long long getMaximum();
	unsigned long long getValue();
};

#endif